9f65cc
From be22f63f7d7c62d88edb5a24dccfff2774094773 Mon Sep 17 00:00:00 2001
9f65cc
From: =?UTF-8?q?Zolt=C3=A1n=20B=C3=B6sz=C3=B6rm=C3=A9nyi?= <zboszor@pr.hu>
9f65cc
Date: Tue, 19 Jan 2021 15:17:05 +0100
9f65cc
Subject: [PATCH] fix(99squash): use kernel config instead of modprobe to check
9f65cc
 modules
9f65cc
MIME-Version: 1.0
9f65cc
Content-Type: text/plain; charset=UTF-8
9f65cc
Content-Transfer-Encoding: 8bit
9f65cc
9f65cc
Signed-off-by: Zoltán Böszörményi <zboszor@pr.hu>
9f65cc
(cherry picked from commit 911c2de9c34a2e96be3973954d368d3a14eb6785)
9f65cc
9f65cc
Resolves: #1959336
9f65cc
---
9f65cc
 modules.d/99squash/module-setup.sh | 6 +++---
9f65cc
 1 file changed, 3 insertions(+), 3 deletions(-)
9f65cc
9f65cc
diff --git a/modules.d/99squash/module-setup.sh b/modules.d/99squash/module-setup.sh
9f65cc
index e2fe3dd4..d3680d63 100644
9f65cc
--- a/modules.d/99squash/module-setup.sh
9f65cc
+++ b/modules.d/99squash/module-setup.sh
9f65cc
@@ -11,9 +11,9 @@ check() {
9f65cc
         return 1
9f65cc
     fi
9f65cc
 
9f65cc
-    for i in squashfs loop overlay; do
9f65cc
-        if ! check_kernel_module $i; then
9f65cc
-            derror "dracut-squash module requires kernel module $i"
9f65cc
+    for i in CONFIG_SQUASHFS CONFIG_BLK_DEV_LOOP CONFIG_OVERLAY_FS ; do
9f65cc
+        if ! check_kernel_config $i; then
9f65cc
+            derror "dracut-squash module requires kernel configuration $i (y or m)"
9f65cc
             return 1
9f65cc
         fi
9f65cc
     done
9f65cc